package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-08-16
 * @description : 游戏授权添加
 */
@Data
public class GameAuthAddParam {

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "主键id")
    private Long gameId;

    /**
     * 用户列表
     */
    @NotEmpty(message = "用户列表不可为空")
    @ApiModelProperty(notes = "用户列表")
    private List<GameAuthUserBean> userAuthList;

    @Data
    public static class GameAuthUserBean {

        /**
         * 用户id
         */
        @NotNull(message = "用户id不可为空")
        @ApiModelProperty(notes = "用户id")
        private Long userId;

        /**
         * 权限类型, 1 : 投手, 2 : 运营
         */
        @NotNull(message = "权限类型不可为空")
        @ApiModelProperty(notes = "权限类型, 1 : 投手, 2 : 运营")
        private Integer type;
    }
}
